ru.bitel.bgbilling.modules.ipn.server.bean.command

## Class GateCommandUtil

- java.lang.Object
- - ru.bitel.bgbilling.modules.ipn.server.bean.command.GateCommandUtil

-     public class GateCommandUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GateCommandUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `generateRule(java.lang.String ruleText, java.util.Map<java.lang.String,java.lang.String> replacements, RuleType ruleType, java.util.List<LoopPattern> loops)` Формирует команды для шлюза.
    `static java.lang.String` | `generateRule(java.lang.String ruleText, java.lang.String addressList, java.util.Map<java.lang.String,java.lang.String> replacements, RuleType ruleType)` Формирует команды для шлюза.
    `static java.util.List<LoopPattern>` | `getAddresLoops(java.lang.String addressList)` строку адреса преобразует в 2 LoopPattern-а : для диапазонов и сетей
    `static java.lang.String` | `getRule(GateType gateType, RuleType ruleType)` Получает команды для шлюза в непереработанном виде.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GateCommandUtil

          public GateCommandUtil()

  - ### Method Detail

    - #### generateRule

          public static final java.lang.String generateRule(java.lang.String ruleText,
                                                            java.lang.String addressList,
                                                            java.util.Map<java.lang.String,java.lang.String> replacements,
                                                            RuleType ruleType)

      Формирует команды для шлюза.
      Parameters:
        `ruleText` -
        `addressList` -
        `replacements` -
        `ruleType` -
      Returns:

    - #### getAddresLoops

          public static java.util.List<LoopPattern> getAddresLoops(java.lang.String addressList)

      строку адреса преобразует в 2 LoopPattern-а : для диапазонов и сетей
      Parameters:
        `addressList` -
      Returns:

    - #### generateRule

          public static final java.lang.String generateRule(java.lang.String ruleText,
                                                            java.util.Map<java.lang.String,java.lang.String> replacements,
                                                            RuleType ruleType,
                                                            java.util.List<LoopPattern> loops)

      Формирует команды для шлюза.
      Parameters:
        `ruleText` -
        `replacements` -
        `ruleType` -
        `loops` -
      Returns:

    - #### getRule

          public static java.lang.String getRule(GateType gateType,
                                                 RuleType ruleType)

      Получает команды для шлюза в непереработанном виде.
      Parameters:
        `gateType` -
        `ruleType` -
      Returns: